<?xml version="1.0" encoding="UTF-8"?>
<value type="metahash">
    <meta key="Editor" type="hash">
        <value key="Type" type="string">EditingComponent</value>
        <value key="Component" type="string">select</value>
    </meta>

    <value key="Include" merge="@/common/dynamicsequenceselection.xml">
        <meta key="Description" type="string">Data to include</meta>
    </value>
    <value key="Exclude" merge="@/common/dynamicsequenceselection.xml">
        <meta key="Description" type="string">Data to exclude</meta>
    </value>

    <value key="ExplicitMetadata" type="metaboolean">
        <meta key="Description" type="string">Handle metadata explicitly</meta>
    </value>

    <value key="Path" type="metahash">
        <meta key="Description" type="string">Path application configuration</meta>

        <value key="Apply" merge="@/common/dynamicsequenceselection.xml">
            <meta key="Description" type="string">Data to apply the path to</meta>
        </value>
        <value key="Remove" type="metaboolean">
            <meta key="Description" type="string">Remove the path instead of applying it</meta>
        </value>
    </value>

    <value key="Set" type="metahash">
        <meta key="Description" type="string">Sequence name set configuration</meta>

        <value key="Apply" merge="@/common/dynamicsequenceselection.xml">
            <meta key="Description" type="string">Data to apply the set operation to</meta>
        </value>
        <value key="Duplicate" type="metaboolean">
            <meta key="Description" type="string">Duplicate data instead of simply changing the name</meta>
        </value>

        <value key="Station" type="metastring">
            <meta key="Description" type="string">The station to change the name to</meta>
            <meta key="UndefinedDescription" type="string">No change</meta>
            <meta key="Substitutions" type="hash">
                <value key="" type="hash">
                    <value key="Type" type="string">String</value>
                    <value key="Description" type="string">The capture number from the pattern</value>
                </value>
            </meta>
        </value>
        <value key="Archive" type="metastring">
            <meta key="Description" type="string">The archive to change the name to</meta>
            <meta key="UndefinedDescription" type="string">No change</meta>
            <meta key="Substitutions" type="hash">
                <value key="" type="hash">
                    <value key="Type" type="string">String</value>
                    <value key="Description" type="string">The capture number from the pattern</value>
                </value>
            </meta>
        </value>
        <value key="Variable" type="metastring">
            <meta key="Description" type="string">The variable to change the name to</meta>
            <meta key="UndefinedDescription" type="string">No change</meta>
            <meta key="Substitutions" type="hash">
                <value key="" type="hash">
                    <value key="Type" type="string">String</value>
                    <value key="Description" type="string">The capture number from the pattern</value>
                </value>
            </meta>
        </value>

        <value key="Capture" type="metahash">
            <meta key="Description" type="string">Regular expression captures</meta>

            <value key="Station" type="metastring">
                <meta key="Description" type="string">The station matching pattern</meta>
                <meta key="Editor" type="hash">
                    <value key="Type" type="string">RegularExpression</value>
                    <value key="CaseInsensitive" type="boolean">true</value>
                </meta>
            </value>

            <value key="Archive" type="metastring">
                <meta key="Description" type="string">The archive matching pattern</meta>
                <meta key="Editor" type="hash">
                    <value key="Type" type="string">RegularExpression</value>
                    <value key="CaseInsensitive" type="boolean">true</value>
                </meta>
            </value>

            <value key="Variable" type="metastring">
                <meta key="Description" type="string">The variable matching pattern</meta>
                <meta key="Editor" type="hash">
                    <value key="Type" type="string">RegularExpression</value>
                    <value key="CaseInsensitive" type="boolean">true</value>
                </meta>
            </value>
        </value>

        <value key="Flavor" type="metahash">
            <value key="Add" type="metastring">
                <meta key="Description" type="string">A flavor name to add</meta>
                <meta key="UndefinedDescription" type="string">No change</meta>
            </value>
            <value key="Remove" type="metastring">
                <meta key="Description" type="string">A flavor name to remove</meta>
                <meta key="UndefinedDescription" type="string">No change</meta>
            </value>
        </value>

    </value>

</value>
